#!/bin/bash
PATH="/sbin:/usr/sbin:/usr/local/sbin:$PATH"

# Set the working folder variable
uchinanchu="$(pwd)"

# This cleanup might be better served in the BldHelper*.sh script.
# Create the build folder, move into it removing stale mountpoints and files there.
[ -e fusato ] && [ ! -d fusato ] && rm -f fusato || [ ! -e fusato ] && mkdir fusato
cd fusato
umount $(mount | grep "${PWD}/chroot" | tac | cut -f3 -d" ") 2>/dev/null
for i in ./* ./.build ; do [ $i = ./cache ] && continue || rm -rf $i ; done


# Defines Live Build settings

lb config  noauto \
	--binary-images iso-hybrid \
	--architectures i386 \
	--linux-flavours 686 \
	--distribution chimaera \
	--initsystem sysvinit \
	--archive-areas "main contrib non-free" \
	--mirror-bootstrap http://pkgmaster.devuan.org/merged \
	--parent-mirror-bootstrap http://pkgmaster.devuan.org/merged \
	--parent-mirror-chroot http://pkgmaster.devuan.org/merged \
	--parent-mirror-chroot-security http://pkgmaster.devuan.org/merged \
	--parent-mirror-binary http://pkgmaster.devuan.org/merged \
	--parent-mirror-binary-security http://pkgmaster.devuan.org/merged \
	--mirror-chroot http://pkgmaster.devuan.org/merged \
	--mirror-chroot-security http://pkgmaster.devuan.org/merged \
	--parent-mirror-debian-installer http://pkgmaster.devuan.org/devuan \
	--uefi-secure-boot enable \
	--firmware-binary true \
	--firmware-chroot true \
	--debian-installer netinst \
	--debian-installer-distribution chimaera \
	--debian-installer-gui true \
	--iso-preparer "PeppermintOS-https://peppermintos.com/" \
	--iso-publisher "Peppermint OS Team" \
	--iso-volume "PepOS-mini-iso" \
	--image-name "PepOS-mini-iso" \
	--checksums sha512 \
	--zsync false \
	--win32-loader false \
	--debian-installer-preseedfile preseed.cfg \

     "${@}"

# Setup the installer structure
mkdir -p $uchinanchu/fusato/config/archives
mkdir -p $uchinanchu/fusato/config/includes.installer
mkdir -p $uchinanchu/fusato/config/includes.binary
mkdir -p $uchinanchu/fusato/config/includes.binary/install
mkdir -p $uchinanchu/fusato/config/includes.installer/usr/share

#cp $uchinanchu/peprepo/* $uchinanchu/fusato/config/archives
cp $uchinanchu/pepinstaller/preseed/preseed.cfg $uchinanchu/fusato/config/includes.installer
cp $uchinanchu/peprepo/* $uchinanchu/fusato/config/archives

# Copy recursive files and sub-directories, containing symlinks.
cp -r $uchinanchu/peploadersplash/boot $uchinanchu/fusato/config/includes.binary
cp -r $uchinanchu/peploadersplash/isolinux $uchinanchu/fusato/config/includes.binary
cp -r $uchinanchu/pepinstaller/graphics $uchinanchu/fusato/config/includes.installer/usr/share
cp -r $uchinanchu/pepinstaller/themes $uchinanchu/fusato/config/includes.installer/usr/share

lb build
